
/*
  $Header: /usr4/Geom_utilities/Tri2quad/RCS/parse_command.c,v 1.1 91/03/12 16:44:03 meuer Exp $

  Parse the command line, print usage message if necessary.

  Mark Meuer
  #1267045

  */


#include	<malloc.h>
#include	<strings.h>
#include	"tri2quad.h"


void
parse_command_line( argc, argv, in_file, out_file )
     int	argc;
     char	**argv;
     char	**in_file;
     char	**out_file;
{
    int	cur_arg = 1;		/* Current argument being processed */

    /* GET THE FILE NAMES */
    /* Check for 2 arguements left */
    if ( argc - cur_arg != 2 )
    {
	usage( argv[0] );
    }
    else
    {
	*in_file = malloc(sizeof(char) * strlen(argv[cur_arg]));
	strcpy(*in_file, argv[cur_arg++]);
	*out_file = malloc(sizeof(char) * strlen(argv[cur_arg]));
	strcpy(*out_file, argv[cur_arg++]);
    }
}



/*
  PRINT A USAGE MESSAGE, COUGH UP A HAIRBALL, AND DIE.
  */
void
usage( prog_name )
     char	*prog_name;     
{
    fprintf(stderr, "Usage: %s <input file> <output file>\n", prog_name );
    fprintf(stderr, "  Converts triangles to degenerate quadrilaterals\n\n");
    fprintf(stderr, "  Use \"-\" for the file names to read and write\n" );
    fprintf(stderr, "  to standard input and output, repectively.\n\n" );
    fprintf(stderr, "  Program by Mark Meuer.  (C) 1991 by Geomtry Supercomputer Project.\n\n");
                       
    exit(-1);
}
